javax.el

## Class ImportHandler

- java.lang.Object
- - javax.el.ImportHandler

    public class ImportHandler
    extends java.lang.Object

Handles imports of class names and package names. An imported package name implicitly imports all the classes in the package. A class that has been imported can be used without its package name. The name is resolved to its full (package and class) name at evaluation time.

### Constructor Summary

Constructors
Constructor and Description
`ImportHandler()`

### Method Summary

Methods
`void` `importClass(java.lang.String name)` Import a class.
`void` `importPackage(java.lang.String packageName)` Import all the classes in a package.
`java.lang.Class<?>` `resolve(java.lang.String name)` Resolve a class name from its imports.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportHandler

    public ImportHandler()

### Method Detail

#### importClass

    public void importClass(java.lang.String name)
                     throws ELException

Import a class.

Parameters:
  `name` - The full class name of the class to be imported
Throws:
  `ELException` - if the name is not a full class name.

#### importPackage

    public void importPackage(java.lang.String packageName)

Import all the classes in a package.

Parameters:
  `packageName` - The package name to be imported

#### resolve

    public java.lang.Class<?> resolve(java.lang.String name)

Resolve a class name from its imports.

Parameters:
  `name` - The name of the class to be resolved. It is assumed that this is a name without a package.
Returns:
  If the class has been imported previously, with `importClass(java.lang.String)` or `importPackage(java.lang.String)`, then its Class instance. Otherwise `null`.